{ pkgs, ... }:

{
  imports = [
    # GUI
    ../../modules/home/gui/common
    ../../modules/home/gui/hyprland
    ../../modules/home/gui/nextcloud.nix
    ../../modules/home/gui/theming.nix

    # CLI
    ../../modules/home/cli/common
    ../../modules/home/cli/ssh.nix
  ];

  home = {
    username = "xeovalyte";
    homeDirectory = "/home/xeovalyte";
  };

  home.packages = with pkgs; [
    # Desktop Applications
    kdenlive
    unstable.prismlauncher
    unstable.joplin-desktop
    unstable.moonlight-qt
    unstable.prusa-slicer
    signal-desktop
    unstable.vesktop

    # Office
    libreoffice
    onlyoffice-bin

    # Image editing
    gimp
    inkscape

  ];

  home.stateVersion = "24.05";
}
